キヤノン製デジタルカメラに複数の脆弱性(JVN) | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2019.08.23(金)

キヤノン製デジタルカメラに複数の脆弱性(JVN)

IPAおよびJPCERT/CCは、キヤノン製デジタルカメラに複数の脆弱性が存在すると「JVN」で発表した。

脆弱性と脅威 セキュリティホール・脆弱性
独立行政法人 情報処理推進機構(IPA)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は8月7日、キヤノン製デジタルカメラに複数の脆弱性が存在すると「Japan Vulnerability Notes(JVN)」で発表した。「EOSシリーズ(デジタル一眼レフ、ミラーレス)」「PowerShot SX70HS」「PowerShot SX740HS」「PowerShot G5XMarkII」が影響を受ける。

発表された脆弱性は次の通り。

・画像転送プロトコル PTP (Picture Transfer Protocol) の SendObjectInfo コマンドの処理におけるバッファオーバーフローの脆弱性(CVE-2019-5994)
・画像転送プロトコル PTP (Picture Transfer Protocol) の NotifyBtStatus コマンドの処理におけるバッファオーバーフローの脆弱性(CVE-2019-5998)
・画像転送プロトコル PTP (Picture Transfer Protocol) の BLERequest コマンドの処理におけるバッファオーバーフローの脆弱性(CVE-2019-5999)
・画像転送プロトコル PTP (Picture Transfer Protocol) の SendHostInfo コマンドの処理におけるバッファオーバーフローの脆弱性(CVE-2019-6000)
・画像転送プロトコル PTP (Picture Transfer Protocol) の SetAdapterBatteryReport コマンドの処理におけるバッファオーバーフローの脆弱性(CVE-2019-6001)
・ユーザの承認操作なしにファームウエアアップデートが可能となる脆弱性(CVE-2019-5995)

これらの脆弱性が悪用されると、細工されたPTPコマンドにより、当該製品が正常に動作しなくなったり、遠隔の第三者によって当該製品上で任意のコードを実行されたりする(CVE-2019-5994、CVE-2019-5998、CVE-2019-5999、CVE-2019-6000、CVE-2019-6001)、当該製品のファームウェアが、ユーザの承認操作なしに、遠隔の第三者によって加工されたファームウエアや非正規のファームウエア等にアップデートされる(CVE-2019-5995)といった影響を受ける可能性がある。JVNでは、開発者が提供する情報をもとに適切なファームウェアにアップデートするよう呼びかけている。
《吉澤 亨史( Kouji Yoshizawa )》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★
<b>★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★</b>

経営課題としてサイバーセキュリティに取り組む情報システム部門や、研究・開発・経営企画に携わる方へ向けた、創刊20年のセキュリティ情報サービス Scan PREMIUM を、貴社の事業リスク低減のためにご活用ください。

×